/*
 * mem1200.S -- SDRAM Initialization for Intel(R) IXP1200 Chip
 *
 * Copyright (c) 1999 Cygnus Support
 *
 * The authors hereby grant permission to use, copy, modify, distribute,
 * and license this software and its documentation for any purpose, provided
 * that existing copyright notices are retained in all copies and that this
 * notice is included verbatim in any distributions. No written agreement,
 * license, or royalty fee is required for any of the authorized uses.
 * Modifications to this software may be copyrighted by their authors
 * and need not follow the licensing terms described here, provided that
 * the new terms are clearly indicated on the first page of each file where
 * they apply.
 *
 * Intel is a Registered Trademark of Intel Corporation.
 * Other Brands and Trademarks are the property of their respective owners.
 */
//currently we didn't turn on mmu, so this file dummy now
	.file "mem1200.S"
        .title "SDRAM Init for Intel(R) IXP1200"

#include <bsp/ixp1200.h>
#include <bsp/cpu.h>
        
	.text
        .align     4


	/*
	 * This subroutine sizes and configures up to four banks of SDRAM DIMMs.
	 * It runs early without a stack.
	 *
	 * R0 - R9 are destroyed. All others preserved.
	 *
	 */
FUNC_START __mem1200_init
	nop
FUNC_END __mem1200_init
